swagger: "2.0"
info:
  title: "Guesses API"
  version: "0.0.1"
  description: "API for managing guess-related activity in the system"
  contact:
    name: "BinaryGame project"
    url: "https://gitlab.com/binarygame"
  license:
    name: "MIT License"
    url: "https://gitlab.com/binarygame/microservices/guesses/-/blob/production/LICENSE"
host: "bingame-dev.zerowhy.org"
schemes:
  - "https"
paths:
  /guesses/api/v1/add:
    post:
      summary: "Adds a guess."
      description: "Adds a guess to the system for a given user and room."
      operationId: "AddGuess"
      consumes:
        - "application/json"
      produces:
        - "application/json"
      parameters:
        - in: "body"
          name: "body"
          description: "AddGuessRequest object"
          required: true
          schema:
            $ref: "#/definitions/AddGuessRequest"
      responses:
        200:
          description: "Guess added successfully."
          schema:
            $ref: "#/definitions/AddGuessResponse"
        400:
          description: "An error occurred."
          schema:
            $ref: "#/definitions/ErrorResponse"
      security:
        - UserPrivateKey: []
securityDefinitions:
  UserPrivateKey:
    type: "apiKey"
    name: "user-privatekey"
    in: "header"
definitions:
  AddGuessRequest:
    type: "object"
    properties:
      user_id:
        type: "string"
      room_id:
        type: "string"
      question_id:
        type: "integer"
        format: "uint32"
  AddGuessResponse:
    type: "object"
    properties:
      success:
        type: "boolean"
      correct:
        type: "boolean"
      message:
        type: "string"
  ErrorResponse:
    type: "object"
    properties:
      success:
        type: "boolean"
      message:
        type: "string"
    example:
      success: false
      message: "Information about the error"
